<!-- Breadcrumb Start -->
<div class="container-m--x bredcrumb container-top" style="margin-top: -10px;">
  <div class="row px-4 f-14 lSpace" style="color: white;">
    <div class="col-md-5 d-flex">
      <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span>
      <app-hint [id]="'app-store'"></app-hint>
      <span class="px-2"><i class="las la-angle-right f-12 "></i></span>
      <span class="custom-breadcrumb cursor" (click)="goToEngineApps()">Intelligence Apps</span>
      <span class="px-2"><i class="las la-angle-right f-12 "></i></span><span
        class="bluebar-title-overflow custom-breadcrumb">{{engine_title}}</span>
    </div>
    <div class="col-md-7 pr-0">
      <div class="float-right text-right d-flex">
          <!--  Data last updated -->
          <div class="mw-120" *ngIf="dash_info_list.length>0">
            <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
              (click)="openDialog(data_update_modal)">
              <i class="mr-1  custom-text-hover mw-25 las la-info-circle fa-lg"></i>
              Data Last Updated
            </button>
          </div>
          <!--  Data last updated -->
        <!--  Outline -->
        <div class="mw-120" *ngIf="flow_data?.length>0">
          <app-hint [id]="'outline'"></app-hint>
          <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                  (click)="outline_control()">
            <i class="mr-1  custom-text-hover mw-25 las la-stream fa-lg"></i>
            Outline
          </button>
        </div>
      
      </div>
    </div>
  </div>
</div>
<!-- Breadcrumb End -->
<!-- outline- control -->
<div [ngClass]="outLineAnim">
  <outline-control [outline_control]="flow_data" (observe_event)="callback_function($event);"
                   [activeState]="activeState"
                   [parent_group_name]="parent_group_name"
                   [scroll_to_index]="scroll_to_index"
                 [type]="'normal'" *ngIf="show_outline_control"></outline-control>
</div>

                  <!-- sticky section-->
 <div class="row static_container1 pl-4 pr-2  f-16 bottom-shadow" style="color: white;" [class]="scrollclass">
  <div class="col-md-auto">
      <div class="text-gray55 d-flex align-items-center engine_toggle_logo">
          <img (click)="toggle_sidenav();" alt="Jarvix" class=" ml-1 mr-3" src="../../assets/imgs/hxlogo/hx_logo.svg" style="width:30px;height:30px">
            <div class="f-20 text-nowrap ">
                  <span class="mr-2">{{engine_title}}</span>
              </div>
          </div>
  </div>
  <div class="col d-flex justify-content-end">
    <app-hint [id]="'input-outline'"></app-hint>
      <div *ngFor="let sti_data of sticky_data;" class="d-flex mr-2 px-2 sticky-field-border" >
        
        <div>
          <span class="text-gray77 f-10">{{sti_data.label}}</span>
          <div   class="text-gray33 f-14 engine-sticky-text"  position="bottom" [ngbPopover]="sti_data.pop" triggers="mouseenter:mouseleave">{{sti_data.value}}</div>
        </div>
      </div>
       <div class="d-flex align-items-center">
        <button class="btn btn-primary align-items-center p-1 outline_btn" 
        (click)="outline_control()">
        <i class="las la-stream f-20" style="padding-left: 1px;"></i>
        </button>
       </div>
       
  </div>
  </div>
<!-- Filter Section Start-->
<div class="container-m--x row one-row-data product-affinity align-items-center mb-5 px-4 hx-pro-px-1">
  <div class="col-md-3 px-5 hx-pro-px-1">
    <div class="f-22 fw-500 WSF text-gray33">{{engine_title}}</div>
    <div class="font-weight-normal f-14 text-gray77 mt-2">{{engine_description}}</div>
  </div>
  <div class="col-md-4 forecast_inputs">
    <div class="label font-weight-normal WSF text-gray33 mb-2 f-18 ">Select Forecast Inputs</div>
    <div class="btn-group">
      <div class="btn-group position-relative align-items-center Ffilter">
        <div class="filters-shadow">
          <div class="float-left py-2 px-3  group-label mb-input-box  bg-white datePick" >
            <div class="d-flex">

              <label class="mb-0 label-style pl-0 text-gray77 f-12">
                From Date</label>
              <span style="cursor: pointer">
                <span (click)="fromdate.toggleCalendar()">
                  <i class="las la-calendar fa-lg"></i>
                </span>
              </span>
            </div>
            <div class="input-group ngx-data-ui fc-calendar">
              <input
                class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                (dateChanged)="open_to_date()"
                #fromdate="ngx-mydatepicker" [(ngModel)]="input_filters.fromdate" (click)="fromdate.toggleCalendar()"
                (calendarToggle)="calendar_toggle($event, 'from')"
                style="min-height:20px !important;max-height:20px !important;">
            </div>
          </div>
          <div class="float-left py-2 px-3  group-label mb-input-box ml-2 bg-white datePick" >
            <div class="d-flex">

              <label class="mb-0 label-style pl-0 text-gray77 f-12">
                To Date</label>
              <span style="cursor: pointer">
                <span (click)="todate.toggleCalendar()">
                  <i class="las la-calendar fa-lg"></i>
                </span>
              </span>
            </div>
            <div class="input-group ngx-data-ui fc-calendar">
              <input
                class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                placeholder="choose a date" [options]="datePickerOptions" name="dptodate" ngx-mydatepicker
                #todate="ngx-mydatepicker" [(ngModel)]="input_filters.todate" (click)="todate.toggleCalendar()"
                (calendarToggle)="calendar_toggle($event, 'to')"
                style="min-height:20px !important;max-height:20px !important;">
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-md-5">
    <!-- <div class="label mb-2 f-18  d-flex align-items-center reset-text">

      <div class="f-14 blue-text float-right WSF font-weight-normal ml-auto cursor txtUnderline"
        (click)="reset_filters();">Reset</div>
    </div> -->
    <div class="single-reset-text" >
      <span class="fw-500 WSF f-14 show-all-input float-right pr-1 cursor mb-2" (click)="openDialog(engine_filters,{windowClass: 'engine-right modal-slide'})">Show All Inputs
          <i class="fa fa-caret-right f-10 show-all-input"></i>
      </span>
      <app-hint [id]="'explore-inputs'"></app-hint>
      <!-- <span class="text-gray99 WSF font-weight-normal f-14 float-right pr-3 mb-2 cursor" (click)="reset_filters();">Reset</span> -->
      <!-- <div class="f-14 blue-text float-right WSF font-weight-normal ml-auto cursor txtUnderline" (click)="reset_filters();">Reset
      </div> -->
  </div>
    <div class="pt-1">
      <!-- marketbasket filter -->
      <div class="btn-group position-relative align-items-center Ffilter">
        <div class="filters-shadow">
          <!-- <div
            class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
            <label class="mb-0 label-style pl-0 text-left f-12">
              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter" placement="bottom">
              </span>
              <span class="text-gray77">State</span>
            </label>
            <div class="d-flex">
              <ss-multiselect-dropdown [disabled]="state_list.length==0" class="custom-multiselect-top-dropdown" [settings]="multiselect_settings"
                [texts]="multiselect_texts" [options]="state_list"
                (ngModelChange)="multiselect_store_change($event, 'state')" [(ngModel)]="input_filters.states">
              </ss-multiselect-dropdown>
              <div><i class="las la-angle-down pl-1"></i></div>
            </div>
          </div> -->
          <!-- <div
            class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
            <label class="mb-0 label-style pl-0 text-left f-12">
              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter" placement="bottom">
              </span>
              <span class="text-gray77">Region</span>
            </label>
            <div class="d-flex">
              <ss-multiselect-dropdown [disabled]="region_list.length==0" class="custom-multiselect-top-dropdown" [settings]="multiselect_settings"
                [texts]="multiselect_texts" [options]="region_list"
                (ngModelChange)="multiselect_store_change($event, 'region')" [(ngModel)]="input_filters.regions">
              </ss-multiselect-dropdown>
              <div><i class="las la-angle-down pl-1"></i></div>
            </div>
          </div> -->
          <div
            class="float-left py-2 px-3  group-label engine-input-box block-input-box close-block filterBorder bg-white datePick">
            <label class="mb-0 label-style pl-0 text-left f-12">
              <span class="float-left close-icon cursor" ngbTooltip="Remove this filter" placement="bottom">
              </span>
              <span class="text-gray77">Store</span>
            </label>
            <div class="d-flex">
              <ss-multiselect-dropdown [disabled]="store_list.length==0" class="pcustom-multiselect-top-dropdown" [settings]="multiselect_settings"
                [texts]="multiselect_texts_select" [options]="store_list" [(ngModel)]="input_filters.stores">
              </ss-multiselect-dropdown>
              <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
            </div>
          </div>
        </div>
        <div class="btnRun btnBottom">
          <button class="btn btn-primary f-18 WSF run-btn" (click)="apply_filters();">Run Forecast</button>
        </div>
      </div>
    </div>




  </div>

</div>

<!-- <div class="row">
  <div class="col-md-6">

  </div>
</div>
<hr /> -->
<!-- Filter Section Ends -->
<!-- Forecast Cards Start -->
<div [hidden]="is_edit_forecast"  style="display: flex;flex-direction: column"
  *ngFor="let flow_child of flow_data;index as i">
  <div style="flex-direction: row;">
    <div class="w-100 flow-child-group">
      <div id="button_{{flow_child.object_id}}">
        <flow-forecast [position]="i" [totalPosition]="total_position" [length]="{}" [flow_child]="flow_child"
                       (active_state)="active_state($event)"
          [hidden]="false" [page_type]="page_type" (flowchild_event)="flowchild_callback($event)"></flow-forecast>
      </div>
    </div>
  </div>
</div>
<!-- Forecast Cards End -->

<div [hidden]="!is_edit_forecast" class="dynamicHeight-EntParent">
  <div class="row">
    <div class="col-md-9 mx-auto">
      <div class="card card-shadow border-radius-10 mt-3 mb-4">
        <div class="card-header with-elements pr-0 align-items-center card-bb-color">
          <div class="card-header-title dashboard-tile-title cursor custom-mouseover">
            <span>Modify Forecast for {{modify_forecast_values.name}}</span></div>
          <div class="ml-auto">
            <button class="btn btn-sm btn-primary mr-2 ipad-res-mt-0"
              (click)="update_modified_forecast()"><i class="las la-sync-alt mr-2"></i>Update Forecast</button>
            <button class="btn btn-sm btn-default mr-2 ipad-res-mt-0" (click)="is_edit_forecast=!is_edit_forecast">
              <i class="ion ion-md-close"></i>
            </button>
          </div>
        </div>
        <div class="card-body p-0">
          <fm-pivot id='pivot_modify_forecast' #modify_forecast_table [toolbar]="false" [width]="'100%'" [height]="500"
            style="height:calc(100vh - 120px)"
            [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
          </fm-pivot>
        </div>
      </div>
    </div>
  </div>

  <!-- <div class="col-md-12 p-2 mb-2 mt-2" style="font-size: 16px;font-weight: bold;">{{modify_forecast_values.name}} Forecast</div>
  <div class="col-md-12 p-0">
    <hr class="hr-border container-m--x mt-3 mb-0">
  </div>
  <div class="container-m--x row" style="height:calc(100vh - 160px)">
    <div class="col-md-12 row">
      <div class="col-md-12 pl-40 ipad-pl-25">
        <div class="row">
          <div class="col-md pull-right">
            <button class="btn btn-md btn-primary pull-right f-16 mt-3 mr-2 ipad-res-mt-0"
              (click)="is_edit_forecast=!is_edit_forecast"><i class="ion ion-md-close"></i></button>
            <button class="btn btn-md btn-primary pull-right f-16 mt-3 mr-2 ipad-res-mt-0" (click)="update_modified_forecast()">Update</button>
          </div>
        </div>
      </div>
      <div class="col-md-12">
        <fm-pivot id='pivot_modify_forecast' #modify_forecast_table [toolbar]="false" [width]="'100%'" [height]="800"
          style="height:calc(100vh - 120px)"
          [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
        </fm-pivot>
      </div>
    </div>
  </div> -->
</div>

<ng-template #schedule_forecast_modal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title">
      <span class="font-weight-light">Schedule Forecast</span>
    </h5>
    <button type="button" class="close" (click)="d('Cross click')">&times;</button>
  </div>
  <!-- <div class="modal-body " style="min-height:465px;">
    <div class="form-row">
      <div class="form-group col px-1 mb-3">
        <div class="col-md-12 mb-2">
          <span class="fw-500 f-16">Frequency</span>
        </div>
        <div class="col-md-12 d-flex align-items-center ">
          <span class="font-weight-normal f-16 mr-2">Once Per</span>
          <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-4" [settings]="multiselect_settings"
            [options]="defaultOptions" [(ngModel)]="defaultModel">
          </ss-multiselect-dropdown>
          <span class="font-weight-normal f-16 mr-2">From</span>
          <div class="px-3  group-label " placement="bottom" ngbTooltip="Select a date range"
            style="width:170px;height:35px;">
            <div class="input-group ngx-data-ui sticky-calender-dp">
              <input class="form-control p-0 pb-1 bg-transparent text_default input-box-style border-0 text-left cursor"
                placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                #fromdate="ngx-mydatepicker" [(ngModel)]="applied_global_filter.fromdate"
                (click)="fromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')" >
              <span (click)="fromdate.toggleCalendar()" class="py-2">
                <i class="las la-calendar fa-lg"></i>
              </span>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col px-1 mb-3">
        <div class="col-md-12 mb-2">
          <span class="fw-500 f-16">End Occurance</span>
        </div>
        <div class="col-md-12 d-flex align-items-center">
          <label class="custom-control custom-radio f-16 fw-700 mr-2" style="margin-bottom:0px;">
            <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore" type="radio"
              value="all">
            <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">Never</div>
          </label>
          <label class="custom-control custom-radio f-16 fw-700 mr-3 ml-2" style="margin-bottom:0px;">
            <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore" type="radio"
              value="all">
            <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">On</div>
          </label>
          <div class="px-3  group-label mr-4" placement="bottom" ngbTooltip="Select a date range"
            style="width:170px;height:35px;">
            <div class="input-group ngx-data-ui sticky-calender-dp">
              <input class="form-control p-0 pb-1 bg-transparent text_default input-box-style border-0 text-left cursor"
                placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                #fromdate="ngx-mydatepicker" [(ngModel)]="applied_global_filter.fromdate"
                (click)="fromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')" >
              <span (click)="fromdate.toggleCalendar()" class="py-2">
                <i class="las la-calendar fa-lg"></i>
              </span>
            </div>
          </div>
          <label class="custom-control custom-radio f-16 fw-700" style="margin-bottom:0px;">
            <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore" type="radio"
              value="all">
            <div class="custom-control-label font-weight-normal f-16 mr-2" for="defaultRadio1">After</div>
          </label>
          <ss-multiselect-dropdown class="custom-multiselect-dropdown" [settings]="multiselect_settings"
            [options]="defaultOptions" [(ngModel)]="defaultModel">
          </ss-multiselect-dropdown>
        </div>
      </div>
      <div class="form-group-col w-100">
        <div class="col-md-12 mt-2 mb-4">
          <hr style="border-top:1px solid #e9e9e9;">
        </div>
      </div>
      <div class="form-group col px-1 mb-4">
        <div class="col-md-12 mb-2">
          <span class="fw-500 f-16">Forecast Criteria</span>
        </div>
        <div class="col-md-12 d-flex align-items-center">
          <span class="font-weight-normal f-16 mr-2">Start From</span>
          <div class=" px-3  group-label mr-4" placement="bottom" ngbTooltip="Select a date range"
            style="width:170px;height:35px;">
            <div class="input-group ngx-data-ui sticky-calender-dp">
              <input class="form-control p-0 pb-1 bg-transparent text_default input-box-style border-0 text-left cursor"
                placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                #fromdate="ngx-mydatepicker" [(ngModel)]="applied_global_filter.fromdate"
                (click)="fromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')">
              <span (click)="fromdate.toggleCalendar()" class="py-2">
                <i class="las la-calendar fa-lg"></i>
              </span>
            </div>
          </div>

          <span class="font-weight-normal f-16 mr-2">Duration</span>
          <ss-multiselect-dropdown class="custom-multiselect-dropdown" [settings]="multiselect_settings"
            [options]="defaultOptions" [(ngModel)]="defaultModel">
          </ss-multiselect-dropdown>
        </div>

      </div>
      <div class="form-group col px-1 mb-3">
        <div class="col-md-12 mb-2">
          <span class="fw-500 f-16">Select Store(s)</span>
        </div>
        <div class="col-md-12 d-flex align-items-center">
          <label class="custom-control custom-radio f-16 fw-700 mr-4 mb-0">
            <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore" type="radio"
              value="all">
            <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">All</div>
          </label>
          <label class="custom-control custom-radio f-16 fw-700 mr-2 ml-3 mb-0">
            <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore" type="radio"
              value="all">
            <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">For</div>
          </label>


          <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-2" [settings]="multiselect_settings"
            [options]="defaultOptions" [(ngModel)]="defaultModel">
          </ss-multiselect-dropdown>


          <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-2" [settings]="multiselect_settings"
            [options]="defaultOptions" [(ngModel)]="defaultModel">
          </ss-multiselect-dropdown>


          <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-2" [settings]="multiselect_settings"
            [options]="defaultOptions" [(ngModel)]="defaultModel">
          </ss-multiselect-dropdown>
        </div>

      </div>
    </div>
  </div> -->
  <div class="modal-footer alert-model-footer">
    <button type="button" class="btn btn-default" (click)="closeDialog()">Cancel</button>
    <button type="button" class="btn btn-primary" (click)="closeDialog()">Schedule</button>
  </div>
</ng-template>
<!-- forecast list -->
<ng-template #forecast_list_modal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h5 class="modal-title">
      <span class="font-weight-light">Current Schedules</span>
    </h5>
    <button type="button" class="close" (click)="d('Cross click')">&times;</button>
  </div>
  <!-- <div class="modal-body">
    <div class="email-scheculeCard w-100">
      <ngb-accordion [closeOthers]="true" activeIds="accordion2-static-1" class="ngb-accordion-with-icon">
        <ngb-panel id="accordion2-static-1">
          <ng-template ngbPanelTitle>
            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q1 Period1 Forecast</span>
            </div>
            <div class="col-lg-6 col-md-12 pr-0">
              <div class="btn-group float-right ">
                <span class="filter_icon float-right mr-3  f-14 gray" ngbtooltip="Edit" placement="top"
                  style="cursor: pointer; display: inline-flex;">
                  <i class="fas fa-edit"></i></span>
                <span class="filter_icon float-right mr-3  f-14 gray " ngbtooltip="Delete" placement="top"
                  style="cursor: pointer; display: inline-flex;">
                  <i class="far fa-trash-alt"></i></span>
                <span class="filter_icon float-right mr-2 f-14 gray " style="cursor: pointer; display: inline-flex;">
                  <i class="collapse-icon float-right"></i></span>
              </div>
            </div>

          </ng-template>
          <ng-template ngbPanelContent>
            <div class="row" style="padding: 0rem 0.5rem;">
              <div class="col-md-12 pl-0 mb-3">
                <p class="mb-2"><img  src="assets/img/results.svg" style="height:18px;vertical-align:bottom;">
                  <span class="f-14 pl-3">Forecast Start from </span> <span class="f-14 fw-700 pl-2">09/01/2019</span>
                </p>
                <p class="mb-2">
                  <span class="f-14 pl-34">Forecast Duration</span> <span class="f-14 fw-700 pl-2">30 days</span></p>
              </div>
              <div class="col-md-12 pl-0 mb-3">
                <p class="mb-2"><i class="far fa-clock f-18" style="vertical-align:bottom;"></i>
                  <span class="f-14 pl-3">Weekly From</span> <span class="f-14 fw-700 pl-2">09/01/2019</span>
                </p>
                <p class="mb-2"><span class="f-14" style="padding-left: 34px;">No End Date</span>
                </p>
              </div>
              <div class="col-md-12 pl-0 mb-2">
                <p class="mb-2"><i class="fas fa-store-alt f-15" style="vertical-align:baseline;"></i>
                  <span class="pl-3 f-14">All Stores </span></p>
              </div>
              <div class="col-md-12 pl-0"><span class="f-13">Created by John Smith</span></div>
            </div>
          </ng-template>
        </ngb-panel>
        <ngb-panel id="accordion2-static-2">
          <ng-template ngbPanelTitle>
            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q2 Period2 Forecast</span>
            </div>
            <div class="col-lg-6 col-md-12 pr-0">
              <div class="btn-group float-right ">
                <span class="gray f-13">Created by John Smith</span>
                <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor" style=" display: inline-flex;">
                  <i class="collapse-icon float-right"></i></span></div>
            </div>
          </ng-template>
          <ng-template ngbPanelContent>
            <div class="row" style="padding: 0rem 0.5rem;">
              <div class="col-md-12 pl-0">
                <p><span class="f-14 fw-700">Content</span></p>
              </div>
            </div>
          </ng-template>
        </ngb-panel>
        <ngb-panel id="accordion2-static-3">
          <ng-template ngbPanelTitle>
            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q3 Period3 Forecast</span>
            </div>
            <div class="col-lg-6 col-md-12 pr-0">
              <div class="btn-group float-right ">
                <span class="gray f-13">Created by John Smith</span>
                <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor" style=" display: inline-flex;">
                  <i class="collapse-icon float-right"></i></span></div>
            </div>
          </ng-template>
          <ng-template ngbPanelContent>
            <div class="row" style="padding: 0rem 0.5rem;">
              <div class="col-md-12 pl-0">
                <p><span class="f-14 fw-700">Content</span></p>
              </div>
            </div>
          </ng-template>
        </ngb-panel>
        <ngb-panel id="accordion2-static-4">
          <ng-template ngbPanelTitle>
            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q1 Test4 Forecast</span></div>
            <div class="col-lg-6 col-md-12 pr-0">
              <div class="btn-group float-right ">
                <span class="gray f-13">Created by John Smith</span>
                <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor" style=" display: inline-flex;">
                  <i class="collapse-icon float-right"></i></span></div>
            </div>
          </ng-template>
          <ng-template ngbPanelContent>
            <div class="row" style="padding: 0rem 0.5rem;">
              <div class="col-md-12 pl-0">
                <p><span class="f-14 fw-700">Content</span></p>
              </div>
            </div>
          </ng-template>
        </ngb-panel>
      </ngb-accordion>
    </div>
  </div> -->
  <div class="modal-footer alert-model-footer">
    <button type="button" class="btn btn-default" (click)="closeDialog()">Close</button>
    <!-- <button type="button" class="btn btn-primary" (click)="closeDialog()">Save</button>-->
  </div>
</ng-template>
<div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
  <engine-loader [loaderArr]="loaderService.loaderArr" *ngIf="loaderService.loaderArr && loaderService.loaderArr.length>0"></engine-loader>
    <div class="block-ui-template" *ngIf="!(loaderService.loaderArr.length>0)">
    <div class="app-splash-screen ">
      <div class="new-app-splash-screen-content text-center">
        <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
      </div>
      <div class="loading-text-material pt-5 mt-4">
        <p class="text-center text-white" style="white-space: pre;">{{loadingText}} </p>
      </div>
    </div>
  </div>
</ng-template>
<ng-template #data_update_modal let-c="close" let-d="dismiss">
  <data-last-updated [dash_info_list]="dash_info_list" (data_event)="closeDialog();"></data-last-updated>
</ng-template>

<div class="end-div"></div>


<!-- Modal template -->
<ng-template #engine_filters let-c="close" let-d="dismiss">
  <engine-filters (engine_filter_event)="engine_filter_callback($event);" [filter_inputs]="{

                    brand_list: brand_list,
                    zone_list: zone_list,
                    state_list:state_list,
                    region_list:region_list,
                    store_type_list:store_type_list,
                    city_list:city_list,
                    store_list:store_list,
                      
                    product_categories_list:product_categories_list,
                    product_list:product_list,
                    control_state_list:control_state_list,
                    control_region_list:control_region_list,
                    control_city_list:control_city_list,
                    control_store_list:control_store_list,

                    input_filters:input_filters,
                    multiselect_settings:multiselect_settings,
                    engine_inputs: engine_inputs_data.forecast,
                    multiselect_texts: multiselect_texts,
                    multiselect_texts_select: multiselect_texts,
                    singleselect_settings: singleselect_settings}"></engine-filters>
</ng-template>
